/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.entity.Cbqydbm;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 抄表区域段编码
 *
 * @author wangjieliu
 * @date Sat May 29 00:00:00 CST 2021
 */
public interface CbqydbmService extends IService<Cbqydbm> {

    IPage<Map> allocationParagraph(Page page, String qybm, String qydbm);

    List<Integer> getPeriod();

    Map getPlanIsCb(Long qyd);

    List<Map> getDownloadCb(Long qyd);

    IPage<Map> getQydCollect(Page page , String inputcontent);

    boolean importCbqydFile(MultipartFile file);

    Long getMaxId();

    Boolean updateSendZt(List<String> strings);
}
